Skip to main content
GET
/
api
/
v1
/
logs
/
audit
/
earliest
Retrieve Earliest Audit Log
curl --request GET \
  --url https://api.harvey.ai/api/v1/logs/audit/earliest \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.harvey.ai/api/v1/logs/audit/earliest"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.harvey.ai/api/v1/logs/audit/earliest', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "log": {
    "data": {
      "ip": "0.0.0.0",
      "len_fetched_users": 0,
      "site": "us",
      "user_agent": "Mozilla/5.0 (Macintosh; Intel Mac OS X 10.15; rv:135.0) Gecko/20100101 Firefox/135.0"
    },
    "id": "01949459-7903-7e32-bb1a-33a5c0f6bb45",
    "ip": "0.0.0.0",
    "timestamp": "2025-01-23T18:07:59.234949",
    "type": "admin:fetch_workspace_users",
    "user": "user@example.com",
    "user_agent": "Mozilla/5.0 (Macintosh; Intel Mac OS X 10.15; rv:135.0) Gecko/20100101 Firefox/135.0"
  }
}

Permissions

Requires Territory admin or Organization admin permission.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

log_type
string

Optional filter to return only logs of a specific type. For Microsoft add-in activity, use add-in-specific log types such as user:word_add_in_docx_drafting or user:outlook_add_in_ask. See the Audit Logs Guide for a complete list of log types.

Example:

"auth:login"

Response

Earliest audit log entry

log
object
required